summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2019-11-06 20:10:23 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2019-11-06 20:10:36 +0000
commit95fbc62a625a8025f3317e6ddd3b5c431a0968c8 (patch)
tree8f792738571658b910ea06f089ba8a0c523c0d4e /sys-libs/glibc
parentprofiles/base/package.use.force: use.force glibc[crypt] (diff)
downloadgentoo-95fbc62a625a8025f3317e6ddd3b5c431a0968c8.tar.gz
gentoo-95fbc62a625a8025f3317e6ddd3b5c431a0968c8.tar.bz2
gentoo-95fbc62a625a8025f3317e6ddd3b5c431a0968c8.zip
sys-libs/glibc: introduce USE=+crypt
Today libcrypt.so.1 is provided by glibc. Eventually glibc will stop providing it in favoud of external providers like libcrypt. USE=crypt exposes a knob to disable libcrypt.so.1 installation. Use at your own risk. There currently is no replacement yet in Gentoo. Bug: https://bugs.gentoo.org/699422 Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Diffstat (limited to 'sys-libs/glibc')
-rw-r--r--sys-libs/glibc/glibc-2.30-r2.ebuild3
-rw-r--r--sys-libs/glibc/metadata.xml1
2 files changed, 3 insertions, 1 deletions
diff --git a/sys-libs/glibc/glibc-2.30-r2.ebuild b/sys-libs/glibc/glibc-2.30-r2.ebuild
index 238a8290631..c779a813347 100644
--- a/sys-libs/glibc/glibc-2.30-r2.ebuild
+++ b/sys-libs/glibc/glibc-2.30-r2.ebuild
@@ -34,7 +34,7 @@ PATCH_VER=3
SRC_URI+=" https://dev.gentoo.org/~slyfox/distfiles/${P}-patches-${PATCH_VER}.tar.xz"
SRC_URI+=" multilib? ( https://dev.gentoo.org/~dilfridge/distfiles/gcc-multilib-bootstrap-${GCC_BOOTSTRAP_VER}.tar.xz )"
-IUSE="audit caps cet compile-locales custom-cflags doc gd headers-only +multiarch multilib nscd profile selinux +ssp +static-libs suid systemtap test vanilla"
+IUSE="audit caps cet compile-locales +crypt custom-cflags doc gd headers-only +multiarch multilib nscd profile selinux +ssp +static-libs suid systemtap test vanilla"
# Minimum kernel version that glibc requires
MIN_KERN_VER="3.2.0"
@@ -941,6 +941,7 @@ glibc_do_configure() {
--libexecdir='$(libdir)'/misc/glibc
--with-bugurl=https://bugs.gentoo.org/
--with-pkgversion="$(glibc_banner)"
+ $(use_enable crypt)
$(use_multiarch || echo --disable-multi-arch)
$(use_enable systemtap)
$(use_enable nscd)
diff --git a/sys-libs/glibc/metadata.xml b/sys-libs/glibc/metadata.xml
index 58d861be030..b00c5f56e58 100644
--- a/sys-libs/glibc/metadata.xml
+++ b/sys-libs/glibc/metadata.xml
@@ -8,6 +8,7 @@
<use>
<flag name="cet">Enable Intel Control-flow Enforcement Technology (needs binutils 2.29 and gcc 8)</flag>
<flag name="compile-locales">build *all* locales in src_install; this is generally meant for stage building only as it ignores /etc/locale.gen file and can be pretty slow</flag>
+ <flag name="crypt">build and install libcrypt and crypt.h</flag>
<flag name="debug">When USE=hardened, allow fortify/stack violations to dump core (SIGABRT) and not kill self (SIGKILL)</flag>
<flag name="gd">build memusage and memusagestat tools</flag>
<flag name="multiarch">enable optimizations for multiple CPU architectures (detected at runtime)</flag>